
var vid_mate_error_msg = "Analyse failed, we will improve it ASAP.";

function vid_mate_error(msg, content) {
	try {
		window.vbrowser.setVideoError(msg, content);
	} catch (e) { }
}

function vid_mate_get_video_format(url) {
    var tmp_format = url;
    if (tmp_format.indexOf('?') > 0) {
        tmp_format = tmp_format.substring(0, tmp_format.indexOf('?'));
    }
    if (tmp_format.lastIndexOf('.') > 0) {
        tmp_format = tmp_format.substring(tmp_format.lastIndexOf('.') + 1);
    }
    return tmp_format;
}

function vid_mate_get_parameter(url, name) {
    var urlParts = url.split('?');
	if (urlParts.length > 1) {
		var parameters = urlParts[1].split('&');
		for (var i = 0; i < parameters.length; i++) {
			var paramparts = parameters[i].split('=');
			if (paramparts.length > 1 && unescape(paramparts[0]) == name) {
				return unescape(paramparts[1]);
			}
		}
	}
	return null;
}

function vid_mate_set_canDownload(rtn) {
    try {
        window.vbrowser.setCanDownload(rtn);
    } catch (e) {
		vid_mate_error(vid_mate_error_msg, e.name + ": " + e.message);
	}
}

function vid_mate_video() {
    this.id = "";
    this.title = "";
    this.duration = 0;
    this.url = "";
    this.picture_default = "";
    this.picture_big = "";
    this.check_type = "";
    this.files = [];
}

function vid_mate_video_file() {
	this.f_id = "";
    this.width = 0;
    this.height = 0;
    this.format = "";
    this.length = 0;
    this.quality = "";
    this.url = "";
    this.title = "";
}

function vid_mate_setParseMsg(progressMin, progressMax, msg) {
    try {
        window.vbrowser.setParseMsg(progressMin, progressMax, msg);
    } catch (e) {
		vid_mate_error(vid_mate_error_msg, e.name + ": " + e.message);
	}
}

function vid_mate_app_xhr(url) {
    try {
        window.vbrowser.httpReq(url, 'vid_mate_app_xhr_result()');
    } catch (e) {
		vid_mate_error(vid_mate_error_msg, e.name + ": " + e.message+"123");
	}
}

function vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data) {
    try {
        window.vbrowser.httpBegin(url);
        if (referer != null && referer.length > 0) {
            window.vbrowser.httpSetHeader("Referer", referer);
        }
        if (cookie != null && cookie.length > 0) {
            window.vbrowser.httpSetHeader("Cookie", cookie);
        }
        if (userAgent != null && userAgent.length > 0) {
            window.vbrowser.httpSetHeader("User-Agent", userAgent);
        }
        if (method == "POST") {
            window.vbrowser.httpPost(data, 'vid_mate_app_xhr_result()');
        } else {
            window.vbrowser.httpGet('vid_mate_app_xhr_result()');
        }
    } catch (e) {
		vid_mate_error(vid_mate_error_msg, e.name + ": " + e.message);
	}
}

function vid_mate_app_xhr_result() {
    var vid_mate_response;

	try {
        vid_mate_response = window.vbrowser.getHttpRes();
    } catch (e) {
		vid_mate_error(vid_mate_error_msg, e.name + ": " + e.message+"456");
	}

    if (vid_mate_response != null && vid_mate_response.length > 0) {
        vid_mate_video_analytics(vid_mate_response);
    }
}

function vid_mate_set_videoInfo(info) {
	try {
		window.vbrowser.setVideoInfo(info);
	} catch (e) {
		vid_mate_error(vid_mate_error_msg, e.name + ": " + e.message);
	}
}

function vid_mate_error_default(msg1) {
	vid_mate_error(vid_mate_error_msg, msg1 + '\r\nurl:' + document.URL);
}
